"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const require_1 = require("./require");
const log_1 = require("./log");
function loadPlugins(config, account) {
    const ret = {};
    if (config.chromium_sandbox) {
        log_1.default.info('Chromium sandbox is enabled. Preload plugin is disabled.');
        return ret;
    }
    const dir_base = path.join(config.__DATA_DIR, 'node_modules');
    for (const plugin of config.preload || []) {
        const plugin_path = path.join(dir_base, `mstdn-preload-${plugin}`);
        try {
            const preloadFunc = require_1.default(plugin_path);
            preloadFunc(config, account);
            ret[plugin_path] = preloadFunc;
        }
        catch (e) {
            log_1.default.error(`Failed to load plugin ${plugin_path}:`, e);
        }
    }
    return ret;
}
exports.default = loadPlugins;
//# sourceMappingURL=plugins.js.map